Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks
[Java] Interface SourceSetContainer

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.NamedDomainObjectContainer
          org.gradle.api.tasks.SourceSetContainer
              org.gradle.api.NamedDomainObjectSet
                  java.lang.Iterable
                      org.gradle.api.DomainObjectCollection
                          java.util.Collection
                              org.gradle.util.Configurable

All Superinterfaces:
  NamedDomainObjectCollection, NamedDomainObjectContainer, NamedDomainObjectSet, Iterable, DomainObjectCollection, Collection, Configurable

    public interface SourceSetContainer
    extends NamedDomainObjectContainer, NamedDomainObjectSet

A `SourceSetContainer` manages a set of SourceSet objects.

Method Summary
`SourceSet` | `add(String name)` Adds a source set with the given name.
`SourceSet` | `add(String name, Closure configureClosure)` Adds a source set with the given name.

Methods inherited from interface NamedDomainObjectContainer
configure, create, create

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules, matching, matching, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Method Detail

### add

    public SourceSet add(String name)

  Adds a source set with the given name.
  throws:
    org.gradle.api.InvalidUserDataException when a source set with the given name already exists in this container.
  Parameters:
    `name` - The name of the new source set.
  Returns:
    The newly added source set.

### add

    public SourceSet add(String name, Closure configureClosure)

  Adds a source set with the given name. The given configuration closure is executed against the source set before it is returned from this method.
  throws:
    InvalidUserDataException when a source set with the given name already exists in this container.
  Parameters:
    `name` - The name of the new source set.
    `configureClosure` - The closure to use to configure the source set.
  Returns:
    The newly added source set.

Gradle API 1.1-rc-1